+================================================
+                                                
+ Eding CNC- Vectric machine output configuration file   
+ Wraps Y values around  the X axis, values are output as A
+
+ This post processor is suitable for Aspire =>8 
+                                                
+================================================
+                                                
+ History                                        
+                                                
+ Who      When       What                         
+ ======== =========== ===========================
+ Mark     06/05/2009  Written
+ Mark     30/11/2009  Added TOOLPATHS_OUTPUT.
+ Brian    15/12/2009  Remove M05 from NEW_SEGMENT
+ Hein     13/04/2017  Aangepast voor eding cnc
+================================================

POST_NAME = "Eding CNC-WrapY2A ATC(mm)(*.nc)"

FILE_EXTENSION = "nc"

UNITS = "MM"

DIRECT_OUTPUT = "Mach|Mach4.Document"

ROTARY_WRAP_Y = "-A"

+SUBSTITUTE = "({)}"

+------------------------------------------------
+    Line terminating characters                 
+------------------------------------------------

LINE_ENDING = "[13][10]"

+------------------------------------------------
+    Block numbering                             
+------------------------------------------------

LINE_NUMBER_START     = 0
LINE_NUMBER_INCREMENT = 10
LINE_NUMBER_MAXIMUM = 999999

+================================================
+                                                
+    Formating for variables                     
+                                                
+================================================

VAR LINE_NUMBER = [N|A|N|1.0]
VAR SPINDLE_SPEED = [S|A|S|1.0]
VAR FEED_RATE = [F|C|F|1.1]
VAR X_POSITION = [X|A|X|1.3]
VAR Y_POSITION = [Y|A|Y|1.3]
VAR Z_POSITION = [Z|A|Z|1.3]
VAR X_HOME_POSITION = [XH|A|X|1.3]
VAR Y_HOME_POSITION = [YH|A|Y|1.3]
VAR Z_HOME_POSITION = [ZH|A|Z|1.3]
VAR SAFE_Z_HEIGHT = [SAFEZ|A|Z|1.3]
VAR WRAP_DIAMETER = [WRAP_DIA|A||1.3]

+================================================
+                                                
+    Block definitions for toolpath output       
+                                                
+================================================

+---------------------------------------------------
+  Commands output at the start of the file
+---------------------------------------------------

begin HEADER
%
"( [TP_FILENAME] )"
"( File created: [DATE] - [TIME])"
"( for EdingCNC from Vectric )"
"( Material Size)"
"( X= [XLENGTH], Z= [ZLENGTH])"
"( Diameter = [WRAP_DIA] mm)"  
"( Y Values are wrapped around the X axis )"
"( Y Values are output as A )"
"([FILE_NOTES])"
"(Toolpaths used in this file:)"
"([TOOLPATHS_OUTPUT])"
"(Tools used in this file: )"
"([TOOLS_USED])"
" G21G17G90G40G49"
" T[T]M06"
" G00G43[ZH]H[T]"
" [S]M03"
"(Toolpath:- [TOOLPATH_NAME])"
"([TOOLPATH_NOTES])"
"G94"
"[YH] [XH] [ZH] [F]"

+---------------------------------------------------
+  Commands output for rapid moves 
+---------------------------------------------------

begin RAPID_MOVE

"G00 [X] [Y] [Z]"


+---------------------------------------------------
+  Commands output for the first feed rate move
+---------------------------------------------------

begin FIRST_FEED_MOVE

"[N] G1 [X] [Y] [Z] [F]"


+---------------------------------------------------
+  Commands output for feed rate moves
+---------------------------------------------------

begin FEED_MOVE

"[N] G1 [X] [Y] [Z]"


+---------------------------------------------------
+  Commands output at toolchange
+---------------------------------------------------

begin TOOLCHANGE

"[N] T[T]M6"
"[N] ([TOOLNAME])"


+---------------------------------------------------
+  Commands output for a new segment - toolpath
+  with same toolnumber but maybe different feedrates
+---------------------------------------------------

begin NEW_SEGMENT

"[N] [S]M03"
"([TOOLPATH_NAME])"
"([TOOLPATH_NOTES])"

+---------------------------------------------------
+  Commands output at the end of the file
+---------------------------------------------------

begin FOOTER

"[N] G00 [ZH]"
"[N] G00 [YH] [XH]"
"[N] M09"
"[N] M30"
%


